Preparar tu sitio para una actualización de PHP

Si te encuentras en una situación que requiere cambios en tu sitio y tu desarrollador no está disponible para ayudarte, el equipo de soporte capacitado de DreamHost puede ayudarte por una pequeña tarifa. Puedes encontrar más información sobre los servicios admitidos y los costos asociados en el artículo de Servicios Profesionales de DreamHost.

Generalidades

A veces es necesario actualizar la versión de PHP en tu sitio web. Esto a menudo se debe a que php.net ya no admite una versión. Actualizar el software de tu sitio web para que sea compatible con las versiones de PHP compatibles es importante para garantizar que tu sitio web permanezca estable y seguro.

Si sabes que tu sitio es compatible con una versión más reciente de PHP, puedes cambiar la versión de PHP para tu sitio en tu panel DreamHost siguiendo las instrucciones del siguiente artículo:

Consulta los siguientes artículos para obtener más información sobre qué versiones de PHP están disponibles actualmente en DreamHost y cómo actualizar la versión de tu sitio:

Guías de migración de PHP

php.net provee guías para actualizar cualquier versión mayor o menor de PHP. Revisa la página a continuación para ver una lista de esas guías:

¿Cómo preparo mi sitio web para una actualización de PHP?

Mantener el software de tu sitio web actualizado es el primer paso para garantizar la compatibilidad continua con la versión PHP.

PHP 8.x

PHP 8.x es una actualización importante de versiones anteriores de PHP. El código obsoleto en versiones anteriores se ha eliminado, por lo que si tu código no se ha actualizado específicamente para PHP 8, existe una mayor posibilidad de que tu sitio no funcione correctamente cuando se actualice.

Revisa los siguientes enlaces para obtener más información sobre los cambios de PHP 8.x:

WordPress

Si estás usando WordPress, DreamHost recomienda actualizar el Core de WordPress, temas, y plugins antes de intentar actualizar PHP.

Revisa el siguiente artículo para aprender más sobre los requerimientos mínimos para tu sitio WordPress:

Otros sitios CMS

Si estás utilizando una aplicación diferente para ejecutar tu sitio web, la sección Aplicaciones de Terceros de la base de conocimientos de DreamHost enumera varias opciones populares de CMS e instrucciones de actualización. El sitio web oficial de tu aplicación debe incluir información sobre la compatibilidad de la versión en la sección de soporte o requisitos del sistema. Por lo general, puedes encontrar la versión que está utilizando en el panel administrativo de la aplicación en tu sitio web.

Los siguientes enlaces proveen los requerimientos mínimos para unos pocos CMS populares:

Independientemente del software CMS que estés usando, DreamHost recomienda que primero verifiques que sea compatible con la versión de PHP a la que deseas actualizar y luego actualices tu software CMS en consecuencia antes de actualizar PHP.

Sitio personalizado construido por un desarrollador

El problema más común con los sitios personalizados es el código desactualizado. Por ejemplo, tu sitio puede estar usando funciones obsoletas que la versión más reciente de PHP ya no admite. En este caso, el sitio seguirá funcionando, pero es posible que veas advertencias de PHP.

Si la función se ha eliminado de las versiones más recientes de PHP, es posible que tu sitio no funcione php.net. La página de cada función confirmará qué versiones de PHP aún la admiten.

Si necesitas ayuda para actualizar tu sitio para que admita versiones modernas de PHP, los Servicios Profesionales de DreamHost pueden ayudarte a actualizar tu código.

¿Puedo continuar usando una versión de PHP antigua?

Si. Si tu sitio falla en una actualización automática de PHP, DreamHost aplica el Soporte Extendido de PHP, lo que permitirá el uso de versiones anteriores y brindará más tiempo para corregir cualquier problema. Revisa el siguiente artículo para más detalles.:

Lista de versiones compatibles de PHP

Ver también

¿Este artículo ha respondido sus preguntas?

Última actualización el PST.

¿Aún no encuentra lo que busca?